org.apache.tinkerpop.gremlin.groovy.plugin

## Interface PluginAcceptor

- All Known Implementing Classes:
    ScriptEnginePluginAcceptor, TestableConsolePluginAcceptor

  Deprecated.
  As of release 3.2.4, replaced by `PluginAcceptor`.

      @Deprecated
      public interface PluginAcceptor

  A `GremlinPlugin` can be used in multiple environments (e.g. ScriptEngine implementation). Any environment wishing to allow plugins should implement the `PluginAcceptor`. It acts as an adapter to those environments and provides the abstractions required for a plugin to work regardless of the environmental implementations.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBinding(String key, Object val)` Deprecated. Add a variable binding for the plugin host.
    `void` | `addImports(Set<String> importStatements)` Deprecated. If the `PluginAcceptor` implements the `DependencyManager` interface it will try to import the specified import statements.
    `default Map<String,Object>` | `environment()` Deprecated. Returns a map of implementation specific variables that can be referenced by the plugin.
    `Object` | `eval(String script)` Deprecated. Evaluate a script in the `PluginAcceptor`.
    `Map<String,Object>` | `getBindings()` Deprecated. Gets the list of bindings from the plugin host.

- - ### Method Detail

    - #### addImports

          void addImports(Set<String> importStatements)

      Deprecated.
      If the `PluginAcceptor` implements the `DependencyManager` interface it will try to import the specified import statements.

    - #### addBinding

          void addBinding(String key,
                          Object val)

      Deprecated.
      Add a variable binding for the plugin host.

    - #### getBindings

          Map<String,Object> getBindings()

      Deprecated.
      Gets the list of bindings from the plugin host. These bindings will represent the "global" binding list.

    - #### eval

          Object eval(String script)
               throws ScriptException

      Deprecated.
      Evaluate a script in the `PluginAcceptor`.
      Throws:
        `ScriptException`

    - #### environment

          default Map<String,Object> environment()

      Deprecated.
      Returns a map of implementation specific variables that can be referenced by the plugin. Those writing plugins should examine the details of the various `PluginAcceptor` implementations for the variables that they pass, as they may provide important information useful to the plugin itself.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.